[CRIU] [PATCH 3/4] tests: remove "live" from zdtm paths
Andrey Vagin
avagin at openvz.org
Fri Feb 26 15:06:59 PST 2016
From: Andrew Vagin <avagin at virtuozzo.com>
Signed-off-by: Andrew Vagin <avagin at virtuozzo.com>
---
test/others/mem-snap/run-predump-2.sh | 4 ++--
test/others/mem-snap/run-predump.sh | 4 ++--
test/others/mem-snap/run-snap-auto-dedup.sh | 4 ++--
test/others/mem-snap/run-snap-dedup-on-restore.sh | 4 ++--
test/others/mem-snap/run-snap-dedup.sh | 4 ++--
test/others/mem-snap/run-snap-maps04.sh | 12 ++++++------
test/others/mem-snap/run-snap.sh | 4 ++--
7 files changed, 18 insertions(+), 18 deletions(-)
diff --git a/test/others/mem-snap/run-predump-2.sh b/test/others/mem-snap/run-predump-2.sh
index aa115fc..46af806 100755
--- a/test/others/mem-snap/run-predump-2.sh
+++ b/test/others/mem-snap/run-predump-2.sh
@@ -15,7 +15,7 @@ mkdir "$IMGDIR"
function launch_test {
echo "Launching test"
- cd ../../zdtm/live/static/
+ cd ../../zdtm/static/
make cleanout
make maps04
make maps04.pid || fail "Can't start test"
@@ -26,7 +26,7 @@ function launch_test {
function stop_test {
wtime=1
- cd ../../zdtm/live/static/
+ cd ../../zdtm/static/
make maps04.stop
cat maps04.out | fgrep PASS || fail "Test failed"
echo "OK"
diff --git a/test/others/mem-snap/run-predump.sh b/test/others/mem-snap/run-predump.sh
index aba3e71..d06d2d8 100755
--- a/test/others/mem-snap/run-predump.sh
+++ b/test/others/mem-snap/run-predump.sh
@@ -26,7 +26,7 @@ rm -rf "$IMGDIR"
mkdir "$IMGDIR"
echo "Launching test"
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make cleanout
make mem-touch
make mem-touch.pid || fail "Can't start test"
@@ -70,7 +70,7 @@ done
echo "Restoring"
${CRIU} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v4 || fail "Fail to restore server"
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make mem-touch.stop
cat mem-touch.out | fgrep PASS || fail "Test failed"
diff --git a/test/others/mem-snap/run-snap-auto-dedup.sh b/test/others/mem-snap/run-snap-auto-dedup.sh
index 026208b..f77aa1f 100755
--- a/test/others/mem-snap/run-snap-auto-dedup.sh
+++ b/test/others/mem-snap/run-snap-auto-dedup.sh
@@ -26,7 +26,7 @@ rm -rf "$IMGDIR"
mkdir "$IMGDIR"
echo "Launching test"
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make cleanout
make mem-touch
make mem-touch.pid || fail "Can't start test"
@@ -82,7 +82,7 @@ fi
echo "Restoring"
${CRIU} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v4 || fail "Fail to restore server"
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make mem-touch.stop
cat mem-touch.out | fgrep PASS || fail "Test failed"
diff --git a/test/others/mem-snap/run-snap-dedup-on-restore.sh b/test/others/mem-snap/run-snap-dedup-on-restore.sh
index 1e00780..6ae050b 100755
--- a/test/others/mem-snap/run-snap-dedup-on-restore.sh
+++ b/test/others/mem-snap/run-snap-dedup-on-restore.sh
@@ -26,7 +26,7 @@ rm -rf "$IMGDIR"
mkdir "$IMGDIR"
echo "Launching test"
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make cleanout
make mem-touch
make mem-touch.pid || fail "Can't start test"
@@ -76,7 +76,7 @@ if [[ $size_last1 -ne 0 || $size_last2 -ne 0 || $size_last3 -ne 0 ]]; then
restore_dedup_ok=1
fi
-cd ../../zdtm//live/static/
+cd ../../zdtm/static/
make mem-touch.stop
cat mem-touch.out | fgrep PASS || fail "Test failed"
diff --git a/test/others/mem-snap/run-snap-dedup.sh b/test/others/mem-snap/run-snap-dedup.sh
index 5a1b9e4..27fcd55 100755
--- a/test/others/mem-snap/run-snap-dedup.sh
+++ b/test/others/mem-snap/run-snap-dedup.sh
@@ -26,7 +26,7 @@ rm -rf "$IMGDIR"
mkdir "$IMGDIR"
echo "Launching test"
-cd ../../zdtm/live/static/
+cd ../../zdtm/static/
make cleanout
make mem-touch
make mem-touch.pid || fail "Can't start test"
@@ -88,7 +88,7 @@ fi
echo "Restoring"
${CRIU} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v4 || fail "Fail to restore server"
-cd ../../zdtm/live/static/
+cd ../../zdtm/static/
make mem-touch.stop
cat mem-touch.out | fgrep PASS || fail "Test failed"
diff --git a/test/others/mem-snap/run-snap-maps04.sh b/test/others/mem-snap/run-snap-maps04.sh
index 71a59b2..2def909 100755
--- a/test/others/mem-snap/run-snap-maps04.sh
+++ b/test/others/mem-snap/run-snap-maps04.sh
@@ -31,10 +31,10 @@ fi
rm -rf "$IMGDIR/*"
echo "Launching test"
-make -C ../../zdtm//live/static/ cleanout
-make -C ../../zdtm//live/static/ maps04
-make -C ../../zdtm//live/static/ maps04.pid || fail "Can't start test"
-PID=$(cat ../../zdtm//live/static/maps04.pid)
+make -C ../../zdtm/static/ cleanout
+make -C ../../zdtm/static/ maps04
+make -C ../../zdtm/static/ maps04.pid || fail "Can't start test"
+PID=$(cat ../../zdtm/static/maps04.pid)
kill -0 $PID || fail "Test haven't started"
mkdir "$IMGDIR/$NRSNAP/"
@@ -55,10 +55,10 @@ fi
echo "Restoring"
${CRIU} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log --auto-dedup -d -v4 || fail "Fail to restore"
-make -C ../../zdtm//live/static/ maps04.stop
+make -C ../../zdtm/static/ maps04.stop
sleep 1
-cat "../zdtm/live/static/maps04.out" | fgrep PASS || fail "Test failed"
+cat "../zdtm/static/maps04.out" | fgrep PASS || fail "Test failed"
size=$(du -sh -BK dump/1/pages-*.img | grep -Eo '[0-9]+' | head -1)
if [ $size -ne 0 ] ; then
diff --git a/test/others/mem-snap/run-snap.sh b/test/others/mem-snap/run-snap.sh
index ddf02b5..b97bd29 100755
--- a/test/others/mem-snap/run-snap.sh
+++ b/test/others/mem-snap/run-snap.sh
@@ -26,7 +26,7 @@ rm -rf "$IMGDIR"
mkdir "$IMGDIR"
echo "Launching test"
-cd ../../zdtm/live/static/
+cd ../../zdtm/static/
make cleanout
make mem-touch
make mem-touch.pid || fail "Can't start test"
@@ -67,7 +67,7 @@ done
echo "Restoring"
${CRIU} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v4 || fail "Fail to restore server"
-cd ../../zdtm/live/static/
+cd ../../zdtm/static/
make mem-touch.stop
cat mem-touch.out | fgrep PASS || fail "Test failed"
--
2.5.0
More information about the CRIU
mailing list